> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Field

> Field endpoints: Create Field, Get Field Properties, Get Tabs By Level, Get Tabs And Groups, Get Fields, Update Field Properties, Update Field Group, Update Field Tab, Update Tab Icon, Update Field, Delete Field Group, Delete Field Tab, Delete Field

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Field",
            "description": "Field endpoints: Create Field, Get Field Properties, Get Tabs By Level, Get Tabs And Groups, Get Fields, Update Field Properties, Update Field Group, Update Field Tab, Update Tab Icon, Update Field, Delete Field Group, Delete Field Tab, Delete Field",
            "url": "https://docs.dqlabs.ai/api-reference/governance/field",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Create Field">
    `POST /api/v1/governance/field`

    Create a new field

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Create a new field",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Field Properties">
    `POST /api/v1/governance/field-property`

    Get all fields for a given field\_tab\_id with optional level and entity\_id filters

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field-property" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get all fields for a given field_tab_id with optional level and entity_id filters",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Tabs By Level">
    `POST /api/v1/governance/field/tabs-by-level`

    Get tabs based on the level of fields associated with them

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="level" type="string">
        Example: `"asset"`.
      </ResponseField>

      <ResponseField name="tabs" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"8bf23e8f-9637-40f4-a0fb-5210f35d5119"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"Governance"`.
        </ResponseField>

        <ResponseField name="icon" type="string" />
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/tabs-by-level" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get tabs based on the level of fields associated with them",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "level": "asset",
        "tabs": [
          {
            "id": "8bf23e8f-9637-40f4-a0fb-5210f35d5119",
            "name": "Governance",
            "icon": null
          }
        ]
      }
    }
    ```
  </Tab>

  <Tab title="Get Tabs And Groups">
    `GET /api/v1/governance/field/tabs-groups`

    Get all field tabs and groups

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="tab" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"8bf23e8f-9637-40f4-a0fb-5210f35d5119"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"Governance"`.
        </ResponseField>

        <ResponseField name="icon" type="string" />
      </ResponseField>

      <ResponseField name="group" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"ca07920d-1a23-467b-95d3-8a2023d4728b"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"Business & Ownership"`.
        </ResponseField>
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/tabs-groups" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get all field tabs and groups",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "tab": [
          {
            "id": "8bf23e8f-9637-40f4-a0fb-5210f35d5119",
            "name": "Governance",
            "icon": null
          }
        ],
        "group": [
          {
            "id": "ca07920d-1a23-467b-95d3-8a2023d4728b",
            "name": "Business & Ownership"
          }
        ]
      }
    }
    ```
  </Tab>

  <Tab title="Get Fields">
    `POST /api/v1/governance/field/list`

    Get fields with optional filtering

    **Request Body**

    <ParamField body="pagination" type="object">
      <ParamField body="page" type="integer">
        Example: `1`.
      </ParamField>

      <ParamField body="pageSize" type="integer">
        Example: `10`.
      </ParamField>
    </ParamField>

    <ParamField body="sorting" type="object[]" />

    <ParamField body="filters" type="object[]" />

    <ParamField body="search" type="string">
      Example: `""`.
    </ParamField>

    <ParamField body="export" type="boolean">
      Example: `false`.
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="name" type="string">
          Example: `"Last Reviewed At"`.
        </ResponseField>

        <ResponseField name="description" type="string">
          Example: `"Date and time when the metric was last reviewed."`.
        </ResponseField>

        <ResponseField name="data_type" type="string">
          Example: `"datetime"`.
        </ResponseField>

        <ResponseField name="level" type="string">
          Example: `"metric"`.
        </ResponseField>

        <ResponseField name="options" type="object[]" />

        <ResponseField name="display_order" type="integer">
          Example: `4`.
        </ResponseField>

        <ResponseField name="is_created" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="is_active" type="boolean">
          Example: `true`.
        </ResponseField>

        <ResponseField name="is_delete" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="field_tab_id" type="string">
          Example: `"63557738-968c-48b0-972a-134db22ca6d8"`.
        </ResponseField>

        <ResponseField name="field_group_id" type="string">
          Example: `"ca07920d-1a23-467b-95d3-8a2023d4728b"`.
        </ResponseField>

        <ResponseField name="created_by" type="string">
          Example: `"85b88faf-5037-4de7-8a6e-ab61baed84a5"`.
        </ResponseField>

        <ResponseField name="modified_by" type="string">
          Example: `"85b88faf-5037-4de7-8a6e-ab61baed84a5"`.
        </ResponseField>

        <ResponseField name="id" type="string">
          Example: `"933366ef-72c5-4844-b81e-a62bacbf6350"`.
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-16T17:01:29.978819Z"`.
        </ResponseField>

        <ResponseField name="modified_at" type="string">
          Example: `"2026-09-16T17:01:29.978871Z"`.
        </ResponseField>

        <ResponseField name="icon" type="string">
          Example: `"grid"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `18`.
      </ResponseField>

      <ResponseField name="metrics" type="object[]" />
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/list" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{
        "pagination": {
          "page": 1,
          "pageSize": 10
        },
        "sorting": [],
        "filters": [],
        "search": "",
        "export": false
      }'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get fields with optional filtering",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "name": "Last Reviewed At",
            "description": "Date and time when the metric was last reviewed.",
            "data_type": "datetime",
            "level": "metric",
            "options": [],
            "display_order": 4,
            "is_created": false,
            "is_active": true,
            "is_delete": false,
            "field_tab_id": "63557738-968c-48b0-972a-134db22ca6d8",
            "field_group_id": "ca07920d-1a23-467b-95d3-8a2023d4728b",
            "created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
            "modified_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
            "id": "933366ef-72c5-4844-b81e-a62bacbf6350",
            "created_at": "2026-09-16T17:01:29.978819Z",
            "modified_at": "2026-09-16T17:01:29.978871Z",
            "icon": "grid"
          }
        ],
        "total_count": 18,
        "metrics": []
      }
    }
    ```
  </Tab>

  <Tab title="Update Field Properties">
    `POST /api/v1/governance/field-property/update`

    Update or create a field property

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field-property/update" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update or create a field property",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Update Field Group">
    `POST /api/v1/governance/field/update-group`

    Update a field group

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/update-group" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update a field group",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Update Field Tab">
    `POST /api/v1/governance/field/update-tab`

    Update a field tab

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/update-tab" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update a field tab",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Update Tab Icon">
    `POST /api/v1/governance/field/update-tab-icon`

    Update the icon of a field tab

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/update-tab-icon" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update the icon of a field tab",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Update Field">
    `PUT /api/v1/governance/field/{fieldId}`

    Update a field

    **Path Parameters**

    <ParamField path="fieldId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/{fieldId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update a field",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Delete Field Group">
    `POST /api/v1/governance/field/delete-group`

    Delete a field group

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/delete-group" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Delete a field group",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Delete Field Tab">
    `POST /api/v1/governance/field/delete-tab`

    Delete a field tab

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/delete-tab" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Delete a field tab",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Delete Field">
    `DELETE /api/v1/governance/field/{fieldId}`

    Delete a field

    **Path Parameters**

    <ParamField path="fieldId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/field/{fieldId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Delete a field",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
